cgGetContextBehavior(3)

NAME
cgGetContextBehavior - get the behavior enumerant for a context

SYNOPSIS
  #include <Cg/cg.h>

  CGbehavior cgGetContextBehavior( CGcontext context );

PARAMETERS

context
    The context for which the behavior enumerant will be returned.

RETURN VALUES
Returns the behavior enumerant for context.

Returns CG_BEHAVIOR_UNKNOWN if an error occurs.

DESCRIPTION
cgGetContextBehavior allows the application to retrieve the behavior enumerant for a context. The valid enumerants and their meanings are described in cgSetContextBehavior.

EXAMPLES
  /* create a context and get the default context behavior enum */

  CGcontext context = cgCreateContext();
  CGbehavior cb = cgGetContextBehavior(context);

ERRORS
CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

HISTORY
cgGetContextBehavior was introduced in Cg 3.0.

SEE ALSO
cgCreateContext, cgSetContextBehavior, cgGetBehavior, cgGetBehaviorString